Out-of-bounds Read

Affecting krb5 package, versions <1.13.2+dfsg-5

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

NVD Description

Note: Versions mentioned in the description apply to the upstream krb5 package. See Remediation section below for Debian:9 relevant versions.

The xdr_nullstring function in lib/kadm5/kadm_rpc_xdr.c in kadmind in MIT Kerberos 5 (aka krb5) before 1.13.4 and 1.14.x before 1.14.1 does not verify whether '\0' characters exist as expected, which allows remote authenticated users to obtain sensitive information or cause a denial of service (out-of-bounds read) via a crafted string.

Remediation

Upgrade Debian:9 krb5 to version 1.13.2+dfsg-5 or higher.

References

CVSS Score

5.3
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    High
  • Privileges Required
    Low
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    None
  • Availability
    None
CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:N/A:N
CVE
CVE-2015-8629
CWE
CWE-125
Snyk ID
SNYK-DEBIAN9-KRB5-395714
Disclosed
13 Feb, 2016
Published
13 Feb, 2016